<?php

namespace Litepci\Control;

use User;

class Control
{
    /**
     * $compliancetype object.
     */
    protected $compliancetype;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Control\Interfaces\CompliancetypeRepositoryInterface $compliancetype)
    {
        $this->compliancetype = $compliancetype;
    }

    /**
     * Returns count of control.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.compliancetype.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->compliancetype->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\CompliancetypeUserCriteria());
        }

        $compliancetype = $this->compliancetype->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('control::' . $view, compact('compliancetype'))->render();
    }
}
