<?php

namespace Litepci\Control\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litepci\Control\Interfaces\CompliancetypeRepositoryInterface;

class CompliancetypePublicController extends BaseController
{
    // use CompliancetypeWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litepci\Compliancetype\Interfaces\CompliancetypeRepositoryInterface $compliancetype
     *
     * @return type
     */
    public function __construct(CompliancetypeRepositoryInterface $compliancetype)
    {
        $this->repository = $compliancetype;
        parent::__construct();
    }

    /**
     * Show compliancetype's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $compliancetypes = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$control::$compliancetype.names'))
            ->view('$control::public.compliancetype.index')
            ->data(compact('$compliancetypes'))
            ->output();
    }

    /**
     * Show compliancetype's list based on a type.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function list($type = null)
    {
        $compliancetypes = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$control::$compliancetype.names'))
            ->view('$control::public.compliancetype.index')
            ->data(compact('$compliancetypes'))
            ->output();
    }

    /**
     * Show compliancetype.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $compliancetype = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->title($$compliancetype->name . trans('$control::$compliancetype.name'))
            ->view('$control::public.compliancetype.show')
            ->data(compact('$compliancetype'))
            ->output();
    }

}
