<?php

namespace Litepci\Control\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompliancetypeTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Control\Models\Compliancetype $compliancetype)
    {
        return [
            'id'                => $compliancetype->getRouteKey(),
            'key'               => [
                'public'    => $compliancetype->getPublicKey(),
                'route'     => $compliancetype->getRouteKey(),
            ], 
            'id'                => $compliancetype->id,
            'name'              => $compliancetype->name,
            'user_id'           => $compliancetype->user_id,
            'user_type'         => $compliancetype->user_type,
            'created_at'        => $compliancetype->created_at,
            'updated_at'        => $compliancetype->updated_at,
            'deleted_at'        => $compliancetype->deleted_at,
            'url'               => [
                'public'    => trans_url('control/'.$compliancetype->getPublicKey()),
                'user'      => guard_url('control/compliancetype/'.$compliancetype->getRouteKey()),
            ], 
            'status'            => trans('app.'.$compliancetype->status),
            'created_at'        => format_date($compliancetype->created_at),
            'updated_at'        => format_date($compliancetype->updated_at),
        ];
    }
}